<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */

$wp_customize->add_section( 'shopall_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','shopall-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'shopall-pro' ),
	'panel'             => 'shopall_pro_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'shopall_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'shopall-pro' ),
	'section'          	=> 'shopall_pro_breadcrumb',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'shopall_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'shopall_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'shopall-pro' ),
	'active_callback' 	=> 'shopall_pro_is_breadcrumb_enable',
	'section'          	=> 'shopall_pro_breadcrumb',
	'type'				=> 'text'
) );
