<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'shopall_pro_menu', array(
	'title'             => esc_html__('Header Menu','shopall-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'shopall-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'shopall_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'shopall-pro' ),
	'section'           => 'shopall_pro_menu',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );

// search enable setting and control.
$wp_customize->add_setting( 'shopall_pro_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'shopall_pro_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Shopall_Pro_Switch_Control( $wp_customize, 'shopall_pro_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'shopall-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'shopall-pro' ), esc_html__( 'Click Here', 'shopall-pro' ), esc_html__( 'to create menu', 'shopall-pro' ) ),
	'section'           => 'shopall_pro_menu',
	'on_off_label' 		=> shopall_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'shopall_pro_theme_options[register_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	'default'           => '',
) );

$wp_customize->add_control( 'shopall_pro_theme_options[register_link]', array(
	'label'             => esc_html__( 'Register Link', 'shopall-pro' ),
	'section'           => 'shopall_pro_menu',
	'type'				=> 'url'
 ) );

$wp_customize->add_setting( 'shopall_pro_theme_options[sign_in_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	'default'           => '',
) );

$wp_customize->add_control( 'shopall_pro_theme_options[sign_in_link]', array(
	'label'             => esc_html__( 'Sign In Link', 'shopall-pro' ),
	'section'           => 'shopall_pro_menu',
	'type'				=> 'url'
) );